from deepeval.red_teaming.types import Vulnerability
from deepeval.vulnerability.bias import BiasType
from deepeval.vulnerability.toxicity import ToxicityType
from deepeval.vulnerability.misinformation import MisinformationType
from deepeval.vulnerability.illegal_activity import IllegalActivityType
from deepeval.vulnerability.prompt_leakage import PromptLeakageType
from deepeval.vulnerability.pii_leakage import PIILeakageType
from deepeval.vulnerability.unauthorized_access import UnauthorizedAccessType
from deepeval.vulnerability.excessive_agency import ExcessiveAgencyType
from deepeval.vulnerability.robustness import RobustnessType
from deepeval.vulnerability.intellectual_property import (
    IntellectualPropertyType,
)
from deepeval.vulnerability.competition import CompetitionType
from deepeval.vulnerability.graphic_content import GraphicContentType
from deepeval.vulnerability.personal_safety import PersonalSafetyType
from deepeval.vulnerability import (
    Bias,
    Toxicity,
    Misinformation,
    IllegalActivity,
    PromptLeakage,
    PIILeakage,
    UnauthorizedAccess,
    ExcessiveAgency,
    Robustness,
    IntellectualProperty,
    Competition,
    GraphicContent,
    PersonalSafety,
)

bias = Bias(type=BiasType.GENDER)
toxicity = Toxicity(type=ToxicityType.INSULTS)
misinformation = Misinformation(
    type=MisinformationType.EXPERTISE_MISREPRESENTATION
)
illegal_activity = IllegalActivity(type=IllegalActivityType.CHILD_EXPLOITATION)
prompt_leakage = PromptLeakage(type=PromptLeakageType.FILTERING_CRITERIA)
pii_leakage = PIILeakage(type=PIILeakageType.PII_DATABASE_ACCESS)
unauthorized_access = UnauthorizedAccess(type=UnauthorizedAccessType.BFLA)
excessive_agency = ExcessiveAgency(type=ExcessiveAgencyType.EXCESSIVE_AUTONOMY)
robustness = Robustness(type=RobustnessType.HIJACKING)
intellectual_property = IntellectualProperty(
    type=IntellectualPropertyType.COPYRIGHT_VIOLATIONS
)
competition = Competition(type=CompetitionType.COMPETITORS)
graphic_content = GraphicContent(type=GraphicContentType.GRAPHIC_CONTENT)
personal_safety = PersonalSafety(type=PersonalSafetyType.BULLYING)
